Package ch.qos.logback.core.pattern.util

## Interface IEscapeUtil

All Known Implementing Classes:
  `AlmostAsIsEscapeUtil`, `AsIsEscapeUtil`, `RegularEscapeUtil`, `RestrictedEscapeUtil`

    public interface IEscapeUtil

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `escape​(java.lang.String additionalEscapeChars, java.lang.StringBuffer buf, char next, int pointer)`

### Method Detail

#### escape

    void escape​(java.lang.String additionalEscapeChars,
                java.lang.StringBuffer buf,
                char next,
                int pointer)